Account Options

  1. Sign in
The old Google Groups will be going away soon, but your browser is incompatible with the new version.
Google Groups Home
« Groups Home
gnu . bash
This is a Usenet group - learn more
Find or start a Google Group about bash.
Group info
Language: English
Group categories: Not categorized
More group info »
Discussions
View:  Topic list, Topic summary « Newer  Topics 11 - 20 of 786  Older »

PD ballot editing station program in Bash 
  I just demoed [link] in person for Emanuel Cleaver, head of the Congressional Black Caucus, and Member of the US House of Representatives. He was very enthused. This is open source's killer app. votescript/validvote is in Bash. This is a task for which closed source is absolutely unacceptable.... more »
By presidentbyamendment  - Apr 25 2012 - 1 new of 1 message    

Need help regarding string replacement in a tag file 
  I need to delete a string : (png_structp png_ptr,$/;" fin the tag PNG_EXTERN void png_write_sCAL_s PNGARG((png_structp png_ptr,$/;" and replace it with (png_structp png_ptr, int unit, png_const_charp width, png_const_charp height) expected output should be like this : PNG_EXTERN void png_write_sCAL_s PNGARG((png_structp png_ptr, int... more »
By ethan  - Apr 23 2012 - 1 new of 1 message    

portable assembler in Bash 
  just posted an outline of a portable assembler in Bash to comp.lang.forth The 386 assembler I wrote in Bash about a decade ago worked. sORRY if this is a repost. Rick Hohensee [link]
By presidentbyamendment  - Apr 14 2012 - 2 new of 2 messages    

Error: Directory not empty, while trying to remove a directory after killing copy operation running on it. 
  Error: Directory not empty, while trying to remove a directory after killing copy operation running on it. 1) ...root 5727 17.8 0.2 109336 4748 ? Ss 16:42 0:01 dd if=/dev/vg_block/block_vm_3gb. disk.xm bs=4096k of=/mnt/share/IMG_e15/ disk1.xm 2) ... 3) ...root 5727 13.4 0.2 109336 4732 ? Rs 16:42 0:03 dd... more »
By sajuptpm  - Mar 21 2012 - 3 new of 3 messages    

Script help... 
  Hi All, I apologize up front as I posted this request in the BashScripts.org group thinking it was this group (this group has much more participation). I have a simple shell script to run a check on the 2nd Tuesday of every month which I thought worked pretty well. However, it appears that it did not work for this given month and I'd like to see if... more »
By HB  - Feb 13 2012 - 11 new of 11 messages    

process leak in process substitution 
  I tried a nifty snippet of code from here: [link] Essentially, I do this: read -t1 < <(stat -t "$mount") || echo "$mount timeout"; If my NFS mount is hung, the read times out, and I get a warning message. However, if the NFS mount is hung, bash also leaks the bash... more »
By Jon Baccash  - Jan 30 2012 - 1 new of 1 message    

return values of bash scripts 
  Hi, Could someone please help me figure out why: GNU bash, version 3.2.25(1)-release-(x86_64-redh at-linux-gnu) 1) Why when I do an echo, I get /bin/sh returned as well ? For example, my script below: ... SERVICE='crond' HOST=`hostname` content=`ps auxw | grep [c]rond| awk '{print $11}'`... more »
By kc  - Dec 20 2011 - 6 new of 6 messages    

When code put in a function I get: Too many open files 
  I have the following code: #!/usr/bin/env bash set -o errexit set -o nounset declare LOOP_STEPS=2000 declare -r REQUIRED_STRING="required time" declare day declare -i end declare i declare minutes declare seconds declare -i start... more »
By Cecil Westerhof  - Dec 3 2011 - 4 new of 4 messages    

Reading multiple return values with Bashs read function 
  A few days ago I discovered an interesting use of process substitution and the read function. This makes it possible to read more than one string from a sub shell without loosing the original standard input. You can find the details here: [link] The result is a bit cryptic. Does anybody know a simpler solution for... more »
By ceving  - Dec 1 2011 - 2 new of 2 messages    

Weird custom bash location setup. 
  Hello. I am trying to figure out why my old .bashrc's current location doesn't show correctly when in /home directory with: PS1="\u@\h \[\e[33m\]\W\[\e[0m\] \[\`if [[ \$? = "0" ]]; then echo '\e[32m=)\e[0m'; else echo '\e[31m=(\e[0m' ; fi\`\] \$ " alias grep='grep --color' When I try it out in /home, I see "hmee":... more »
By Ant  - Nov 29 2011 - 6 new of 6 messages    

11 - 20 of 786   « Newer | Older »

XML